#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	OpenSSL-RSA
Summary:	Crypt::OpenSSL::RSA - RSA encoding and decoding, using the OpenSSL libraries
Summary(pl.UTF-8):	Crypt::OpenSSL::RSA - kodowanie i dekodowanie RSA przy użyciu OpenSSL
Name:		perl-Crypt-OpenSSL-RSA
Version:	0.23
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	71dcf51938055242d674a565f01f8aa0
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Crypt-OpenSSL-Random
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::OpenSSL::RSA provides the ability to RSA encrypt strings which
are somewhat shorter than the block size of a key.  It also allows for
decryption, signatures and signature verification.

%description -l pl.UTF-8
Moduł Crypt::OpenSSL::RSA udostępnia możliwość kodowania algorytmem
RSA łańcuchów, które są krótsze niż rozmiar bloku klucza. Pozwala
także na odszyfrowywanie oraz weryfikację podpisów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/OpenSSL/RSA.pm
%dir %{perl_vendorarch}/auto/Crypt/OpenSSL/RSA
%{perl_vendorarch}/auto/Crypt/OpenSSL/RSA/*.al
%{perl_vendorarch}/auto/Crypt/OpenSSL/RSA/*.bs
%{perl_vendorarch}/auto/Crypt/OpenSSL/RSA/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/OpenSSL/RSA/*.so
%{_mandir}/man3/*
%changelog
* Tue Apr 21 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-OpenSSL-RSA.git;a=log;h=AC-branch

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f01a88e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> add9040
- converted to UTF-8

* Fri May 26 2006 Jakub Bogusz <qboosh@pld-linux.org> dc605c5
- obsolete

* Thu May 25 2006 blaass <blaass@pld-linux.org> ce8e179
- updated to 0.23, removed old patch, rel up

* Sun Apr 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 136e019
- added includes patch, now builds on openssl 0.9.8

* Sun Apr 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 700a9b2
- needed to build on openssl 0.9.8

* Fri Apr 07 2006 Maciej Pijanka <agaran@pld-linux.org> b532fd3
- up to 0.22 rel 1 builds here

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 0330763
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 9f39002
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Thu May 06 2004 ankry <ankry@pld-linux.org> a0e2336
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 9b69a8f
- cosmetics: unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 7630124
- new bconds

* Mon Apr 19 2004 ankry <ankry@pld-linux.org> 0dc9f40
- license fixes and unification

* Fri Mar 19 2004 ankry <ankry@pld-linux.org> 37f9054
- massive change: BR openssl-devel >= 0.9.7d

* Sat Mar 06 2004 Adam Gołębiowski <adamg@pld-linux.org> ce09fb6
- updated to 0.21

* Tue Sep 30 2003 eothane <eothane@pld-linux.org> c17d286
- ahh, what the hell: openssl 0.9.7c

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 1080de5
- mass commit: cosmetics (removed trailing white spaces)

* Wed Jun 11 2003 misi3k <misi3k@pld-linux.org> 12e8412
- updated to 0.19

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 0633439
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> d5fc51a
- massive attack s/pld.org.pl/pld-linux.org/

